package com.csc.library.security;

public enum CipherEncrypt {
	DES("DES","Data Encryption Standard"),
	ECB("ECB","Electronic Codebook mode"),
	PKCS5Padding("PKCS5Padding","PKCS #5-style padding");
	
	private final String encryptname;
	private final String description;
	
     /* DES/ECB/PKCS5Padding*/
	private CipherEncrypt(String encryptname, String description) {
		this.encryptname = encryptname;
		this.description = description;
	}
	
	public String getEncryptString() {
		return encryptname;
	}
}
